import { MousePosition } from '../modal-manager';
export declare function getDocument(self: Window): Document;
export declare function getDocuments(self: Window, list?: Document[]): Document[];
export declare function findIFrame(self: Window): HTMLIFrameElement | undefined;
export { MousePosition };
export declare function getMousePosition(x: number, y: number, self: Window, client?: boolean): MousePosition;
/**
 * 转换缩放比例后的数据
 * 场景：兼容全局带有 zoom 样式导致的数据偏差
 * @param data 需要转换的数据
 * @returns 转换后的数据
 */
export declare const transformZoomData: (data: number) => number;
declare const _default: {
    getDocument: typeof getDocument;
    getDocuments: typeof getDocuments;
    findIFrame: typeof findIFrame;
    getMousePosition: typeof getMousePosition;
    transformZoomData: (data: number) => number;
};
export default _default;
